Static Public Member Functions | List of all members
libcdr::CDRDocument Class Reference

`#include <CDRDocument.h>`

## Static Public Member Functions
static CDRAPI bool | isSupported (librevenge::RVNGInputStream *input)
| Analyzes the content of an input stream to see if it can be parsed. More...
static CDRAPI bool | parse (librevenge::RVNGInputStream *input, librevenge::RVNGDrawingInterface *painter)
| Parses the input stream content. More...

## Member Function Documentation

## ◆ isSupported()

CDRAPI bool libcdr::CDRDocument::isSupported | ( | librevenge::RVNGInputStream * | input_ | ) |
| static

Analyzes the content of an input stream to see if it can be parsed.

Parameters

  input | The input stream

Returns
  A value that indicates whether the content from the input stream is a Corel Draw Document that libcdr is able to parse

## ◆ parse()

CDRAPI bool libcdr::CDRDocument::parse | ( | librevenge::RVNGInputStream * | input_,
|  | librevenge::RVNGDrawingInterface * | painter
| ) |  |
| static

Parses the input stream content.

It will make callbacks to the functions provided by a CDRPaintInterface class implementation when needed. This is often commonly called the 'main parsing routine'.

Parameters

  input | The input stream
  painter | A CDRPainterInterface implementation

Returns
  A value that indicates whether the parsing was successful

The documentation for this class was generated from the following files:

- CDRDocument.h
- CDRDocument.cpp